From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 3 May 2010<P>

hey bk... are you and rens swimming around over there?? just saw the news and got worried about y'all. let us know!!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 3 May 2010<P>

hey backatcha aparajita; Nope we both missed the bullet and it was a bad one for certain. Sixteen inches of rain in two days...ouch...I'm out on a lake with a dam and all the water went in that direction (well so far anyway if the dam doesn't crack) and I think Rens is just out on top of ole rockytop. But I'd better check cause she may be on top of the rock and can't get off....kidding. There are a lot of people with houses under water and no flood insurance as we don't have this except once every fifty or so years.
<HR>